Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
update_arg Struct Reference

## Data Fields
st_data_t | arg
VALUE | hash
VALUE | new_key
VALUE | old_key
VALUE | new_value
VALUE | old_value

## Detailed Description

Definition at line 1612 of file hash.c.

## Field Documentation

## ◆ arg

st_data_t update_arg::arg

Definition at line 1613 of file hash.c.

## ◆ hash

VALUE update_arg::hash

Definition at line 1614 of file hash.c.

## ◆ new_key

VALUE update_arg::new_key

Definition at line 1615 of file hash.c.

## ◆ new_value

VALUE update_arg::new_value

Definition at line 1617 of file hash.c.

## ◆ old_key

VALUE update_arg::old_key

Definition at line 1616 of file hash.c.

## ◆ old_value

VALUE update_arg::old_value

Definition at line 1618 of file hash.c.

The documentation for this struct was generated from the following file:

- hash.c